#include <stdio.h>
#include <ctype.h>
#include "scanFile.h"
#include "myString.h"
#include "myAlphabet.h"

#define DEFAULT_BUFFER_SIZE 16

void processFile(FILE* in, FILE* out){
	while(!feof(in)){
		MyString str = newString(DEFAULT_BUFFER_SIZE);
		scanString(&str, in);
		processString(out, str);
		freeString(&str);
	}
}

void scanString(MyString* dst, FILE* src){
	for(char ch = fgetc(src); ch != '\n' && !feof(src); ch = fgetc(src)){
		addCharToString(dst, ch);
	}
}

void processString(FILE* out, MyString str){
	char isVovelsMore = areVovelMore(str);
	char letters['z'-'a'];
	for(char i = 'a'; i < 'z'; i++){
		letters[i-'a']=0;
	}
	for(unsigned int i = 0; i < str.len; i++){
		char ch = str.arr[i];
		if(isalpha(ch)){
			ch = tolower(ch);
			if(!letters[ch-'a'] && (isVovelsMore == isVovel(ch))){
				fputc(ch, out);
			}
			letters[ch-'a']=1;
		}
	}
	fputc('\n', out);
}
